OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.SGIX.PolynomialFFD

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGIXPolynomialFFD :: MonadIO m => m Bool
- gl_SGIX_polynomial_ffd :: Bool
- pattern GL_DEFORMATIONS_MASK_SGIX :: GLenum
- pattern GL_GEOMETRY_DEFORMATION_BIT_SGIX :: GLbitfield
- pattern GL_GEOMETRY_DEFORMATION_SGIX :: GLenum
- pattern GL_MAX_DEFORMATION_ORDER_SGIX :: GLenum
- pattern GL_TEXTURE_DEFORMATION_BIT_SGIX :: GLbitfield
- pattern GL_TEXTURE_DEFORMATION_SGIX :: GLenum
- glDeformSGIX :: MonadIO m => GLbitfield -> m ()
- glDeformationMap3dSGIX :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLint -> GLint -> GLdouble -> GLdouble -> GLint -> GLint -> GLdouble -> GLdouble -> GLint -> GLint -> Ptr GLdouble -> m ()
- glDeformationMap3fSGIX :: MonadIO m => GLenum -> GLfloat -> GLfloat -> GLint -> GLint -> GLfloat -> GLfloat -> GLint -> GLint -> GLfloat -> GLfloat -> GLint -> GLint -> Ptr GLfloat -> m ()
- glLoadIdentityDeformationMapSGIX :: MonadIO m => GLbitfield -> m ()

# Extension Support

glGetSGIXPolynomialFFD :: MonadIO m => m Bool Source #

Is the SGIX_polynomial_ffd extension supported?

gl_SGIX_polynomial_ffd :: Bool Source #

Is the SGIX_polynomial_ffd extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGIXPolynomialFFD` in those cases instead.

# Enums

pattern GL_DEFORMATIONS_MASK_SGIX :: GLenum Source #

pattern GL_GEOMETRY_DEFORMATION_BIT_SGIX :: GLbitfield Source #

pattern GL_GEOMETRY_DEFORMATION_SGIX :: GLenum Source #

pattern GL_MAX_DEFORMATION_ORDER_SGIX :: GLenum Source #

pattern GL_TEXTURE_DEFORMATION_BIT_SGIX :: GLbitfield Source #

pattern GL_TEXTURE_DEFORMATION_SGIX :: GLenum Source #

# Functions

glDeformSGIX Source #

Arguments

:: MonadIO m |
=> GLbitfield | `mask` of type FfdMaskSGIX.
-> m () |

glDeformationMap3dSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FfdTargetSGIX.
-> GLdouble | `u1` of type `CoordD`.
-> GLdouble | `u2` of type `CoordD`.
-> GLint | `ustride`.
-> GLint | `uorder` of type `CheckedInt32`.
-> GLdouble | `v1` of type `CoordD`.
-> GLdouble | `v2` of type `CoordD`.
-> GLint | `vstride`.
-> GLint | `vorder` of type `CheckedInt32`.
-> GLdouble | `w1` of type `CoordD`.
-> GLdouble | `w2` of type `CoordD`.
-> GLint | `wstride`.
-> GLint | `worder` of type `CheckedInt32`.
-> Ptr GLdouble | `points` pointing to `COMPSIZE(target,ustride,uorder,vstride,vorder,wstride,worder)` elements of type `CoordD`.
-> m () |

glDeformationMap3fSGIX Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FfdTargetSGIX.
-> GLfloat | `u1` of type `CoordF`.
-> GLfloat | `u2` of type `CoordF`.
-> GLint | `ustride`.
-> GLint | `uorder` of type `CheckedInt32`.
-> GLfloat | `v1` of type `CoordF`.
-> GLfloat | `v2` of type `CoordF`.
-> GLint | `vstride`.
-> GLint | `vorder` of type `CheckedInt32`.
-> GLfloat | `w1` of type `CoordF`.
-> GLfloat | `w2` of type `CoordF`.
-> GLint | `wstride`.
-> GLint | `worder` of type `CheckedInt32`.
-> Ptr GLfloat | `points` pointing to `COMPSIZE(target,ustride,uorder,vstride,vorder,wstride,worder)` elements of type `CoordF`.
-> m () |

glLoadIdentityDeformationMapSGIX Source #

Arguments

:: MonadIO m |
=> GLbitfield | `mask` of type FfdMaskSGIX.
-> m () |